# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "sear/version"

Gem::Specification.new do |spec|
  spec.name        = "sear"
  spec.version     = Sear::VERSION
  spec.authors     = ["Tony Arcieri"]
  spec.email       = ["tony@iqlusion.io"]
  spec.summary     = "Signed/encrypted archive: a tar-like archive format"
  spec.description = <<-DESCRIPTION.strip.gsub(/\s+/, " ")
    Signed/encrypted archive: a security-oriented tar-like archive format
    supporting Ed25519 digital signatures and streaming AES-GCM encryption.
  DESCRIPTION

  spec.homepage    = "https://placer.rs"
  spec.license     = "Apache-2.0"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
end
